aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-flask-psycopg2/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-14 12:46:55 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-17 15:01:30 +0000
commita23c64728fe12e902fa9216daee627b209e82286 (patch)
tree157be8d4199524b9d45a17fe173732f5b516da2b /testing/py-flask-psycopg2/APKBUILD
parent91ee6cbc6d3c7c4ae10538b7e1965b214614f15d (diff)
downloadaports-a23c64728fe12e902fa9216daee627b209e82286.tar.gz
aports-a23c64728fe12e902fa9216daee627b209e82286.tar.bz2
aports-a23c64728fe12e902fa9216daee627b209e82286.tar.xz
testing/py-flask-psycopg2: new aport
Flask Psycopg extension https://pypi.python.org/pypi/Flask-Psycopg2
Diffstat (limited to 'testing/py-flask-psycopg2/APKBUILD')
-rw-r--r--testing/py-flask-psycopg2/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-flask-psycopg2/APKBUILD b/testing/py-flask-psycopg2/APKBUILD
new file mode 100644
index 0000000000..b88ead94c4
--- /dev/null
+++ b/testing/py-flask-psycopg2/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-flask-psycopg2
+_pkgname=Flask-Psycopg2
+pkgver=1.2
+pkgrel=0
+pkgdesc="Flask Psycopg extension"
+url="https://pypi.python.org/pypi/Flask-Psycopg2"
+arch="noarch"
+license="Public Domain"
+depends="python py-flask py-psycopg2"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="ff31c9fc8d6af9b1f4d399096c240f99 Flask-Psycopg2-1.2.tar.gz"
+sha256sums="2721924e67b512f70c22c5f2dd83c0caae45c8d4ae5717df21af3d1fa38991ca Flask-Psycopg2-1.2.tar.gz"
+sha512sums="84746ce048e87de44395b6cb99174ff7eea70fc0191758d0158d3cb3e991770a5bbf9a767550bf6160608c641c2f659db3091d0dc2ef058dff76ef3f2647d272 Flask-Psycopg2-1.2.tar.gz"